package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 审批记录对象 ps_approver_record
 *
 * @author wls
 * @date 2024-08-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_approver_record")
public class PsApproverRecord extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 关联业务id
     */
    private String businessId;
    /**
     * 合同编码
     */
    private String contractCode;
    /**
     * 审批业务类型
     */
    private String businessType;

    /**
     * 申请日期
     */
    private Date applyDate;

    /**
     * 审批日期
     */
    private Date approverDate;

    /**
     * 审批状态（1待审批，2成功，3失败）
     */
    private String approverStatus;

    /**
     * 申请说明
     */
    private String applyDesc;

    /**
     * 审批说明
     */
    private String approverDesc;
    /**
     * 修改后数据
     */
    private String updateData;
    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;


}
