package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;
import java.util.Date;

/**
 * 合同服务类别对象 ps_contract_business
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_contract_business")
public class PsContractBusiness extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 服务类型
     */
    private String businessType;

    /**
     * 服务总金额
     */
    private BigDecimal businessAmount;
    /**
     * 服务类型备注
     */
    private String businessDesc;
    /**
     * 结束时间
     */
    private Date endDate;
    /**
     * 开始时间
     */
    private Date startDate;
    /**
     *  2逻辑删除  0 默认有效
     */
    private Long delFlag;
    /**
     * 服务公司id
     */
    private Long companyId;

    /**
     * 是否代账
     */
    private String isProxy;
    /**
     * 是否老账新接
     */
    private String isOld;
}
