package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;

/**
 * 合同服务明细对象 ps_contract_business_detail
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_contract_business_detail")
public class PsContractBusinessDetail extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 服务类型表id
     */
    private Long businessId;

    /**
     * 服务项目
     */
    private String businessProject;

    /**
     * 服务项目描述
     */
    private String businessProjectLabel;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String amountDesc;

    /**
     * 扩展字段（目前只有服务项目是刻章的时候有用）
     */
    private String extentInfo;

    /**
     *  2逻辑删除  0 默认有效
     */
    private Long delFlag;


}
