package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 合同回款记录对象 ps_contract_pay
 *
 * @author wls
 * @date 2024-08-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_contract_pay")
public class PsContractPay extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 支付状态 PayStatusEnum
     */
    private String payStatus;
    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 回款金额
     */
    private BigDecimal money;
    /**
     * 业务类型1回款2退款
     */
    private String businessType;
    /**
     * 回款日期
     */
    private Date payDate;

    /**
     * 回款类型（1全款，2分期）
     */
    private String payType;

    /**
     * 支付方式（1扫码，2对公，3现金，4对私）
     */
    private String payMode;

    /**
     * 收款主体
     */
    private String gathMain;

    /**
     * 回款凭证(多个时用逗号分隔)
     */
    private String payCertification;

    /**
     * 回款备注
     */
    private String payDesc;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;


}
