package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 客户基本信息对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_custom_info")
public class PsCustomInfo extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 客户名称
     */
    private String customName;

    /**
     * 客户电话客户电话(多个用英文逗号分割)
     */
    private String customMobile;

    /**
     * 客户来源
     */
    private String customSource;

    /**
     * 客户联系地址
     */
    private String customAdressDetail;

    /**
     * 所属客户经理
     */
    private Long customManager;

    /**
     * 客户级别
     */
    private String customLevel;

    /**
     * 客户状态
     */
    private String customStatus;

    /**
     * 介绍人-仅支持本司内客户
     */
    private Long customIntroducer;

    /**
     * 拉黑标识 1是0否
     */
    private String black;
    /**
     * 拉黑备注
     */
    private String blackDesc;
    /**
     * 颜色
     */
    private String color;
    /**
     * 历史的所属客户经理
     */
    private String historyCustomManager;
    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Integer delFlag;
    /**
     * 接受时间
     */
    private Date acceptDate;

}
