package com.pusong.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.pusong.common.tenant.core.TenantEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.math.BigDecimal;

/**
 * 客户基本信息对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_custom_price")
public class PsCustomPrice extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 客户id
     */
    private Long customId;

    /**
     * 报价批次
     */
    private Integer priceBatch;

    /**
     * 服务项目
     */
    private String serviceProject;

    /**
     * 服务金额
     */
    private BigDecimal servicePrice;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Integer delFlag;


}
