package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;
import java.util.Date;

/**
 * 员工提成提成对象 ps_salary
 *
 * @author wls
 * @date 2024-08-23
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_salary")
public class PsSalary extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 员工id
     */
    private Long userId;

    /**
     * 员工提成金额
     */
    private BigDecimal salaryMoney;

    /**
     * 提成月份
     */
    private String salaryMonth;

    /**
     * 提成日期
     */
    private Date salaryDate;

    /**
     * 岗位di
     */
    private Long postId;

    /**
     * 合同数量
     */
    private Integer contractNum;
    /**
     * 已完成数量
     */
    private Integer finistContractNum;
    /**
     * 未完成数量
     */
    private Integer unfinistContractNum;
    /**
     * 合同总金额
     */
    private BigDecimal contractMoney;
    /**
     * 已完成金额
     */
    private BigDecimal finistContractMoney;
    /**
     * 未完成金额
     */
    private BigDecimal unfinistContractMoney;
    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;
    /**
     * 已完成合同编码
     */
    private String finishContractCode;
    /**
     * 未完成合同编码
     */
    private String unfinishContractCode;

}
