package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;

import java.io.Serial;

/**
 * 提成配置对象 ps_salary_config
 *
 * @author Lion Li
 * @date 2024-08-22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_salary_config")
public class PsSalaryConfig extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位id集合（仅仅查询时返回字段，不参与其他操作）
     */
    @TableField(exist = false)
    private String postIds;

    /**
     * 服务项目编码
     */
    private String serviceProject;
    /**
     * 成本
     */
    private BigDecimal cost;
    /**
     * 提成比例
     */
    private BigDecimal salaryRatio;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;
    /**
     * 模板编码
     */
    private String templateCode;
    /**
     * 模板名称
     */
    private String templateName;

}
