package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 员工提成关联合同对象 ps_salary_contract
 *
 * @author wls
 * @date 2024-09-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_salary_contract")
public class PsSalaryContract extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id")
    private Long id;

    /**
     * 员工id
     */
    private Long userId;

    /**
     * 提成月份
     */
    private Date salaryRatioDate;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 销售经理
     */
    private Long customManager;

    /**
     * 客户名称
     */
    private String customName;

    /**
     * 客户电话
     */
    private String customMobile;

    /**
     * 公司名
     */
    private String companyName;

    /**
     * 合同金额
     */
    private BigDecimal contractAmount;

    /**
     * 服务开始时间
     */
    private Date serviceStartDate;

    /**
     * 状态 1已完成2未完成
     */
    private String status;

    /**
     * 关联提成表id
     */
    private Long salaryId;


}
