package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.util.Date;

/**
 * 任务委派对象 ps_task_appoint
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_task_appoint")
public class PsTaskAppoint extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 主任务表id
     */
    private Long taskId;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 任务委派类型（1内勤,2外勤,3特勤）
     */
    private String appointType;

    /**
     * 任务委派状态
     */
    private String appointStatus;

    /**
     * 任务执行者
     */
    private Long executor;
    /**
     * 任务备注
     */
    private String taskDesc;
    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;

    /**
     *  任务完成时间
     */
    private Date finishDate;
    /**
     * 工作内容描述
     */
    private String taskContentDesc;

}
