package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 主任务对象 ps_task_main
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_task_main")
public class PsTaskMain extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;
    /**
     * 公司id
     */
    private Long companyId;
    /**
     * 客户编码
     */
    private Long customId;
    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 任务类型（1合同任务,2免费工单,3发票）
     */
    private String taskType;

    /**
     * 派单时间
     */
    private Date startDate;

    /**
     * 任务状态
     */
    private String taskStatus;
    /**
     * 免费工单的服务类别
     */
    private String businessType;

    /**
     * 免费工单的服务内容
     */
    private String businessProject;
    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;

    /**
     * 发票
     */
    private String invoice;

    /**
     * 派单操作人
     */
    private Long operateUser;
    /**
     *  任务完成时间
     */
    private Date finishDate;

    /**
     * 扩展: 类型为开发票时 发票内容
     */
    private String extend;

    /**
     * 服务公司id
     */
    private Long serviceCompanyId;

    /**
     * 备注：作废备注
     */
    private String comment;
}
