package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;

/**
 * 任务资料对象 ps_task_media
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_task_media")
public class PsTaskMedia extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 客户id
     */
    private Long customId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 资料类型
     */
    private String mediaType;

    /**
     * 文件ossid
     */
    private String mediaOssId;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;


}
