package com.pusong.business.domain;

import com.pusong.common.tenant.core.TenantEntity;
import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serial;

/**
 * 外勤任务记录对象 ps_task_work_record
 *
 * @author wls
 * @date 2024-08-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ps_task_work_record")
public class PsTaskWorkRecord extends TenantEntity {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 任务委派表id
     */
    private Long taskAppointId;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 办理时间
     */
    private Date handleDate;

    /**
     * 办理事项
     */
    private String handleInfo;

    /**
     * 办理进度说明
     */
    private String handlePlan;

    /**
     * 下次办理类型
     */
    private String nextType;

    /**
     * 下次办理描述
     */
    private String nextDesc;

    /**
     * 下次办理时间
     */
    private Date nextDate;

    /**
     *  2逻辑删除  0 默认有效
     */
    @TableLogic
    private Long delFlag;


}
