package com.pusong.business.domain.bo;

import com.pusong.system.domain.bo.SysDictDataBo;
import io.github.linpeilie.annotations.AutoMapper;
import io.swagger.v3.oas.annotations.media.PatternProperty;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@EqualsAndHashCode
public class AppointBo {
    /**
     * 任务主表id
     */
    @NotNull
    private Long id;
    /**
     * 执行者用户id
     */
    @NotNull
    private List<Long> userIds;

    /**
     * 任务委派类型（1内勤,2外勤,3特勤）
     */
    @NotBlank
    private String appointType;

    /**
     * 任务说明
     */
    private String taskContentDesc;
}
