package com.pusong.business.domain.bo;

import com.pusong.common.mybatis.core.domain.BaseEntity;
import com.pusong.system.domain.bo.SysDictDataBo;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.Map;

/**
 * 字典数据业务对象 sys_dict_data
 *
 * @author Michelle.Chung
 */

@Data
@EqualsAndHashCode
@AutoMapper(target = SysDictDataBo.class)
public class DicDataBo {

    /**
     * 父级字典编码
     */
    private Long parentDictCode;

    /**
     * 当前字典编码
     */
    private Long dictCode;

    /**
     * 字典排序
     */
    private Integer dictSort;

    /**
     * 字典描述
     */
    @NotBlank(message = "字典描述不能为空")
    @Size(min = 0, max = 100, message = "字典描述长度不能超过{max}个字符")
    private String dictLabel;

    /**
     * 备注Map
     */
    private Map<String,Object> remarkMap;

}
