package com.pusong.business.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsCompanyInfo;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.core.validate.QueryGroup;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 公司信息业务对象 ps_company_info
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode
public class PsCompanyQueryBo {

    /**
     * 公司ID
     */
    private Long id;
    /**
     * 销售经理
     */
    private String customManagerName;
    /**
     * 客户姓名
     */
    private String customName;
    /**
     * 客户电话
     */
    private String customMobile;
    /**
     * 公司名称
     */
    private String companyName;
    /**
     * 介绍人名称
     */
    private String customIntroducer;

    /**
     * 服务状态
     */
    private String serviceStatus;
    /**
     * 跟进人员
     */
    private String userName;

    /**
     * 1全部 2非托管服务 3 托管代账 4托管不代账
     */
    private Integer type;

}
