package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsContractBusinessDetail;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.math.BigDecimal;

/**
 * 合同服务明细业务对象 ps_contract_business_detail
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsContractBusinessDetail.class)
public class PsContractBusinessDetailBo {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空")
    private Long id;

    /**
     * 合同编号
     */
    @NotNull(message = "合同编号不能为空")
    private String contractCode;

    /**
     * 服务类型
     */
    @NotEmpty(message = "服务类型不能为空")
    private Long businessId;

    /**
     * 服务项目
     */
    @NotBlank(message = "服务项目不能为空")
    private String businessProject;

    /**
     * 服务项目描述
     */
    @NotBlank(message = "服务项目描述不能为空")
    private String businessProjectLabel;

    /**
     * 金额
     */
    @NotNull(message = "金额不能为空")
    private BigDecimal amount;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空")
    private String amountDesc;

    /**
     * 扩展字段（目前只有服务项目是刻章的时候有用）
     */
    @NotBlank(message = "扩展字段（目前只有服务项目是刻章的时候有用）不能为空")
    private String extentInfo;


}
