package com.pusong.business.domain.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsContractInfo;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 合同基本信息业务对象 ps_contract_info
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@EqualsAndHashCode
public class PsContractInfoQueryBo {

    /**
     * 查询类型1合同列表 2待回款列表 3已汇款列表
     */
    private Integer type;
    /**
     * 合同编码
     */
    private String contractCode;
    /**
     * 销售经理姓名
     */
    private String customManagerName;
    /**
     * 客户姓名
     */
    private String customName;

    /**
     * 合同id
     */
    private Long customId;
    /**
     * 客户电话
     */
    private String customMobile;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 合同状态
     */
    private String contractStatus;

    /**
     * 合同状态(in)
     */
    private List<String> inContractStatus;
    /**
     * 合同状态(not in)
     */
    private List<String> notInContractStatus;
    /**
     * 合同金额最小值
     */
    private BigDecimal moneyStart;
    /**
     * 合同金额最大值
     */
    private BigDecimal moneyEnd;

    /**
     * 服务类型1托管 2非托管
     */
    private Integer serviceType;
    /**
     * 服务项目
     */
    private List<String> serviceProjects;

    /**
     * o新签 1续费
     */
    private String isDue;


}
