package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsCustomCallback;
import com.pusong.business.domain.PsCustomInfo;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 客户基本信息对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsCustomCallback.class)
public class PsCustomCallbackBo  {

    /**
     * 
     */
    private Long id;

    /**
     *  客户id
     */
    @NotBlank(message = "客户id不能为空",groups = {AddGroup.class})
    private Long customId;

    /**
     * 回访内容
     */
    @NotBlank(message = "服务项目不能为空",groups = {AddGroup.class})
    private String callbackContent;


}
