package com.pusong.business.domain.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.business.domain.PsCustomInfo;
import com.pusong.business.domain.PsCustomPrice;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 客户报价信息对象 ps_custom_Price
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsCustomPrice.class)
public class PsCustomPriceBo  {

    /**
     * 
     */
    private Long id;
    /**
     * 客户id
     */
    @NotBlank(message = "客户id不能为空",groups = {AddGroup.class})
    private Long customId;

    /**
     * 报价批次
     */
    private Integer priceBatch;

    /**
     * 服务项目
     */
    @NotBlank(message = "服务项目不能为空",groups = {AddGroup.class})
    private String serviceProject;

    /**
     * 服务金额
     */
    @NotBlank(message = "服务项目报价不能为空",groups = {AddGroup.class})
    private BigDecimal servicePrice;


}
