package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsCustomInfo;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.core.validate.QueryGroup;
import io.github.linpeilie.annotations.AutoMapper;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;

import java.util.List;

/**
 * 客户基本信息业务对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsCustomInfo.class)
public class PsCustomRecordQueryBo {

    private Long id;
    /**
     * 类型 1客户档案 2已完成客户
     */
    @NotNull(message = "类型不能为空", groups = { QueryGroup.class })
    private Integer type;

    /**
     * 客户名称
     */

    private String name;
    /**
     * 客户经理名称
     */

    private String customManagerName;
    /**
     * 客户电话客户电话(多个用英文逗号分割)
     */
    private String mobile;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 法人名称
     */
    private String legalPersonName;
    /**
     * 账套号
     */
    private String financeAccountNo;
    /**
     * 1 托管 2 非托管
     */
    private Integer serviceType;
    /**
     * 客户渠道
     */
    private String customSource;
    /**
     * 服务项目(可多选)
     */
    private List<String> serviceProjects;
    /**
     * 介绍人姓名
     */
    private String customIntroducerName;
}
