package com.pusong.business.domain.bo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.common.core.validate.AddGroup;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;


/**
 * task表的extend存储的发票字段
 */
@Data
@EqualsAndHashCode
public class PsInvoiceBo {

    /**
     * 购方名称
     */
    @NotBlank(message = "购方名称不能为空",groups = {AddGroup.class})
    private String name;
    /**
     * 税号
     */
    private String taxNum;
    /**
     * 金额
     */
    @NotBlank(message = "金额不能为空",groups = {AddGroup.class})
    private String amount;
    /**
     * 发票电话
     */
    private String invoicePhone;

    /**
     * 其他
     */
    private String other;
    /**
     * 抬头
     */
    @NotBlank(message = "抬头不能为空",groups = {AddGroup.class})
    private String invoiceTitle;
    /**
     * 合同编码
     */
    @NotBlank(message = "合同编码不能为空",groups = {AddGroup.class})
    private String contractCode;
}

