package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsSalaryConfig;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.math.BigDecimal;

/**
 * 提成配置业务对象 ps_salary_config
 *
 * @author Lion Li
 * @date 2024-08-22
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsSalaryConfig.class)
public class PsSalaryConfigBo  {

    /**
     * 模板编码
     */
    @NotNull(message = "模板编码不能为空", groups = {  EditGroup.class })
    private String templateCode;
    /**
     * 岗位id
     */
    @NotNull(message = "岗位id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long postId;

    /**
     * 服务项目编码
     */
    @NotBlank(message = "服务项目编码不能为空", groups = { AddGroup.class, EditGroup.class })
    private String serviceProject;

    /**
     * 提成比例
     */
    @NotNull(message = "提成比例不能为空", groups = { AddGroup.class, EditGroup.class })
    private BigDecimal salaryRatio;

    /**
     * 模板名称
     */
    private String templateName;

}
