package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsTaskMedia;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;

/**
 * 任务资料业务对象 ps_task_media
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@EqualsAndHashCode
@AutoMapper(target = PsTaskMedia.class)
public class PsTaskMediaBo  {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 客户id
     */
    private Long customId;

    /**
     * 公司id
     */
    private Long companyId;

    /**
     * 资料类型
     */
    @NotBlank(message = "资料类型不能为空", groups = { AddGroup.class, EditGroup.class })
    private String mediaType;

    /**
     * 文件ossid（多个时用逗号分割，删除时传-1）
     */
    @NotBlank(message = "文件ossid不能为空", groups = { AddGroup.class, EditGroup.class })
    private String mediaOssId;


}
