package com.pusong.business.domain.bo;

import com.pusong.business.domain.PsTaskWorkRecord;
import com.pusong.common.core.validate.AddGroup;
import com.pusong.common.core.validate.EditGroup;
import com.pusong.common.mybatis.core.domain.BaseEntity;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;
import jakarta.validation.constraints.*;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 外勤任务记录业务对象 ps_task_work_record
 *
 * @author wls
 * @date 2024-08-09
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AutoMapper(target = PsTaskWorkRecord.class, reverseConvertGenerate = false)
public class PsTaskWorkRecordBo extends BaseEntity {

//    /**
//     * 主键id
//     */
//    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
//    private Long id;

    /**
     * 任务委派表id
     */
    @NotNull(message = "任务委派表id不能为空", groups = { AddGroup.class })
    private Long taskAppointId;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 办理时间
     */
    @NotNull(message = "办理时间不能为空", groups = { AddGroup.class })
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date handleDate;

    /**
     * 办理事项
     */
    @NotBlank(message = "办理事项不能为空", groups = { AddGroup.class })
    private String handleInfo;

    /**
     * 办理进度说明
     */
    @NotBlank(message = "办理进度说明不能为空", groups = { AddGroup.class })
    private String handlePlan;

    /**
     * 下次办理类型
     */
    @NotBlank(message = "下次办理类型不能为空", groups = { AddGroup.class })
    private String nextType;

    /**
     * 下次办理描述 1指定时间，2时间待定，3无
     */
    private String nextDesc;

    /**
     * 下次办理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nextDate;


}
