package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsCompanyInfo;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * 公司信息视图对象 ps_company_info
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsCompanyInfo.class)
public class PsCompanyQueryVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 销售经理
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long customManager;
    /**
     * 公司名
     */
    private String companyName;
    /**
     * 纳税人识别号
     */
    private String customerNum;
    /**
     * 法人姓名
     */
    private String legalPersonName;
    /**
     * 法人证件号
     */
    private String legalPersonIdcard;
    /**
     * 客户名
     */
    private String customName;
    /**
     * 客户手机号
     */
    private String customMobile;
    /**
     * 介绍人姓名
     */
    private String customIntroducer;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date createTime;
}
