package com.pusong.business.domain.vo;

import java.math.BigDecimal;
import com.pusong.business.domain.PsContractBusinessDetail;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 合同服务明细视图对象 ps_contract_business_detail
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsContractBusinessDetail.class)
public class PsContractBusinessDetailVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 服务类型表id
     */
    private Long businessId;


    /**
     * 服务项目
     */
    private String businessProject;

    /**
     * 服务项目描述
     */
    private String businessProjectLabel;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 备注
     */
    private String amountDesc;

    /**
     * 扩展字段（目前只有服务项目是刻章的时候有用）
     */
    private String extentInfo;


}
