package com.pusong.business.domain.vo;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsContractBusiness;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
 * 合同服务类别视图对象 ps_contract_business
 *
 * @author wls
 * @date 2024-07-29
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsContractBusiness.class)
public class PsContractBusinessVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 主键id
     */
    private Long id;
    /**
     * 合同编号
     */
    private String contractCode;

    /**
     * 服务类型
     */
    private String businessType;
    /**
     * 服务类型名称
     */
    @Translation(type = TransConstant.DICT_TYPE_TO_LABEL,other = "contract_type",mapper="businessType")
    private String businessTypeName;
    /**
     * 服务总金额
     */
    private BigDecimal businessAmount;

    /**
     * 服务类型备注
     */
    private String businessDesc;
    /**
     * 结束时间
     */
    @JsonFormat(pattern ="yyyy-MM-dd")
    private Date endDate;
    /**
     * 开始时间
     */
    @JsonFormat(pattern ="yyyy-MM-dd")
    private Date startDate;
    /**
     * 服务项目
     */
    private List<PsContractBusinessDetailVo> detailVoList;

    /**
     * 是否代账
     */
    private String isProxy;
    /**
     * 是否老账新接
     */
    private String isOld;

}
