package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsCustomCallback;
import com.pusong.business.domain.PsCustomPrice;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户基本信息对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsCustomCallback.class)
public class PsCustomCallbackVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2L;

    /**
     * 
     */
    private Long id;


    /**
     * 客户id
     */
    private Long customId;

    /**
     * 回访内容
     */
    private String callbackContent;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date createTime;


}
