package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsCustomInfo;
import com.pusong.business.domain.PsCustomPrice;
import com.pusong.common.tenant.core.TenantEntity;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 客户基本信息对象 ps_custom_info
 *
 * @author Lion Li
 * @date 2024-07-25
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsCustomPrice.class)
public class PsCustomPriceVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 2L;

    /**
     * 
     */
    private Long id;

    /**
     *
     */
    private Long customId;
    /**
     * 报价批次
     */
    private Integer priceBatch;

    /**
     * 服务项目
     */
//    @Translation(type = TransConstant.DICT_TYPE_TO_LABEL,other = "service_project")
    private String serviceProject;

    /**
     * 服务金额
     */
    private BigDecimal servicePrice;
    /**
     * 创建时间
     */
    @JsonFormat(pattern ="yyyy-MM-dd HH:mm")
    private Date createTime;
}
