package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.business.domain.PsCustomPrice;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 退款列表查询vo
 */
@Data
public class PsRefundVo {

    private Long id;
    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 服务类别名（多个是用逗号分隔）
     */
    @Translation(type = TransConstant.DICT_TYPE_TO_LABEL,other = "contract_type")
    private String businessTypeName;

    /**
     * 所属客户经理
     */
    private String customManager;
    /**
     * 所属客户经理
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME,mapper = "customManager")
    private String customManagerName;

    /**
     * 客户姓名
     */
    private String customName;
    /**
     * 客户电话客户电话(多个用英文逗号分割)
     */
    private String customMobile;
    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 支付方式（1扫码，2对公，3现金，4对私）
     */
    private String payMode;
    /**
     * 已付金额
     */
    private BigDecimal payMoney;
    /**
     * 合同总金额
     */
    private BigDecimal contractAmount;
    /**
     * 退款金额
     */
    private BigDecimal returnMoney;
    /**
     * 账号信息
     */
    private String gathMain;

    /**
     * 支付状态 PayStatusEnum
     */
    private String payStatus;

    /**
     * 凭证(多个时用逗号分隔)
     */
    private String payCertification;
    /**
     * 合同文件id
     */
    private String pdfid;
}
