package com.pusong.business.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsSalaryConfig;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 提成配置视图对象 ps_salary_config
 *
 * @author Lion Li
 * @date 2024-08-22
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsSalaryConfig.class)
public class PsSalaryConfigInfoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 岗位id（多个用逗号分割）
     */
    private String postId;
    /**
     * 岗位名称（多个用逗号分割）
     */
    @Translation(type = TransConstant.POST_ID_TO_NAME,mapper = "postId")
    private String postName;

    /**
     * 服务类型（多个用逗号分割）
     */
    private String serviceType;
    /**
     * 模板编码
     */
    private String templateCode;
    /**
     * 模板名称
     */
    private String templateName;

    /**
     * 服务类型Map
     */
    private Map<String,Map<String,Map<String,String>>> serviceTypeMap;
}
