package com.pusong.business.domain.vo;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsSalaryConfig;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 提成配置视图对象 ps_salary_config
 *
 * @author Lion Li
 * @date 2024-08-22
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsSalaryConfig.class)
public class PsSalaryConfigVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;


    /**
     * 岗位id
     */
    @Translation(type = TransConstant.POST_ID_TO_NAME)
    private String postIds;

    /**
     * 服务类型编码
     */
    @Translation(type = TransConstant.DICT_TYPE_TO_LABEL,other = "contract_type")
    private String serviceProject;

    /**
     * 提成比例
     */
    private BigDecimal salaryRatio;
    /**
     * 模板编码
     */
    private String templateCode;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date createTime ;

    /**
     * 创建人
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long createBy ;
}
