package com.pusong.business.domain.vo;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsSalaryContract;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 员工提成关联合同视图对象 ps_salary_contract
 *
 * @author wls
 * @date 2024-09-02
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsSalaryContract.class)
public class PsSalaryContractVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 提成月份
     */
    private Date salaryRatioDate;

    /**
     * 合同编码
     */
    @ExcelProperty(value = "合同编码")
    private String contractCode;

    /**
     * 销售经理
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long customManager;

    /**
     * 客户名称
     */
    @ExcelProperty(value = "客户名称")
    private String customName;

    /**
     * 客户电话
     */
    @ExcelProperty(value = "客户电话")
    private String customMobile;

    /**
     * 公司名
     */
    @ExcelProperty(value = "公司名")
    private String companyName;

    /**
     * 合同金额
     */
    @ExcelProperty(value = "合同金额")
    private BigDecimal contractAmount;

    /**
     * 服务开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date serviceStartDate;
    /**
     * 状态 1已完成2未完成
     */
    private String status;

}
