package com.pusong.business.domain.vo;

import java.math.BigDecimal;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsSalary;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 员工提成提成视图对象 ps_salary
 *
 * @author wls
 * @date 2024-08-23
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsSalary.class)
public class PsSalaryVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 员工id
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME)
    private Long userId;
    /**
     * 员工岗位
     */
    @Translation(type = TransConstant.POST_ID_TO_NAME)
    private Long postId;

    /**
     * 员工提成金额
     */
    private BigDecimal salaryMoney;

    /**
     * 提成日期
     */
    @JsonFormat(pattern = "yyyy-MM")
    private Date salaryDate;

    /**
     * 合同数量
     */
    private Integer contractNum;
    /**
     * 已完成数量
     */
    private Integer finistContractNum;
    /**
     * 未完成数量
     */
    private Integer unfinistContractNum;
    /**
     * 合同总金额
     */
    private BigDecimal contractMoney;
    /**
     * 已完成金额
     */
    private BigDecimal finistContractMoney;
    /**
     * 未完成金额
     */
    private BigDecimal unfinistContractMoney;
    /**
     * 已完成合同编码
     */
    private String finishContractCode;
    /**
     * 未完成合同编码
     */
    private String unfinishContractCode;
}
