package com.pusong.business.domain.vo;

import com.pusong.business.domain.PsTaskAppoint;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 任务委派视图对象 ps_task_appoint
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsTaskAppoint.class)
public class PsTaskAppointVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 主任务表id
     */
    private Long taskId;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 任务委派类型（1内勤,2外勤,3特勤）
     */
    private String appointType;

    /**
     * 任务委派状态
     */
    private String appointStatus;
    /**
     * 任务执行者
     */
    private Long executor;
    /**
     * 任务执行者
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME, mapper = "executor")
    private String executorName;

    /**
     * 任务备注
     */
    private String taskDesc;

    /**
     * 工作说明
     */
    private String taskContentDesc;
}
