package com.pusong.business.domain.vo;

import com.pusong.business.domain.PsTaskMedia;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 任务资料视图对象 ps_task_media
 *
 * @author wls
 * @date 2024-08-07
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsTaskMedia.class)
public class PsTaskMediaVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;
    /**
     * 客户id
     */
    @ExcelProperty(value = "客户id")
    private Long customId;

    /**
     * 公司id
     */
    @ExcelProperty(value = "公司id")
    private Long companyId;

    /**
     * 资料类型
     */
    @ExcelProperty(value = "资料类型")
    private String mediaType;

    /**
     * 文件ossid
     */
    @ExcelProperty(value = "文件ossid")
    private String mediaOssId;


}
