package com.pusong.business.domain.vo;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.pusong.business.domain.PsTaskWorkRecord;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.pusong.common.excel.annotation.ExcelDictFormat;
import com.pusong.common.excel.convert.ExcelDictConvert;
import com.pusong.common.translation.annotation.Translation;
import com.pusong.common.translation.constant.TransConstant;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 外勤任务记录视图对象 ps_task_work_record
 *
 * @author wls
 * @date 2024-08-09
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = PsTaskWorkRecord.class)
public class PsTaskWorkRecordVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 任务委派表id
     */
    private Long taskAppointId;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 办理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date handleDate;

    /**
     * 办理事项
     */
    private String handleInfo;

    /**
     * 办理进度说明
     */
    private String handlePlan;

    /**
     * 下次办理类型
     */
    private String nextType;

    /**
     * 下次办理描述
     */
    private String nextDesc;

    /**
     * 下次办理时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nextDate;
    /**
     * 创建时间(记录时间)
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date createTime;
    /**
     * 任务执行者
     */
    private Long executor;
    /**
     * 任务执行者
     */
    @Translation(type = TransConstant.USER_ID_TO_NICKNAME,mapper = "executor")
    private String executorName;
}
