package com.pusong.business.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pusong.business.domain.PsContractInfo;
import com.pusong.business.domain.PsContractPay;
import com.pusong.business.domain.vo.PsContractPayVo;
import com.pusong.business.domain.vo.PsRefundVo;
import com.pusong.common.mybatis.core.mapper.BaseMapperPlus;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 合同回款记录Mapper接口
 *
 * @author wls
 * @date 2024-08-01
 */
public interface PsContractPayMapper extends BaseMapperPlus<PsContractPay, PsContractPayVo> {
    Page<PsRefundVo> queryRefundList(@Param("page") Page<PsContractPay> page, @Param(Constants.WRAPPER) Wrapper<PsContractPay> queryWrapper);

    //查询所有合同完成之后的退款记录
    List<PsContractPay> getRefundList( @Param(Constants.WRAPPER) Wrapper<PsContractPay> queryWrapper);
}
