package com.pusong.business.service;

import com.pusong.business.domain.vo.PsApproverRecordVo;
import com.pusong.business.domain.bo.PsApproverRecordBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 审批记录Service接口
 *
 * @author wls
 * @date 2024-08-05
 */
public interface IPsApproverRecordService {

    /**
     * 查询审批记录
     *
     * @param id 主键
     * @return 审批记录
     */
    PsApproverRecordVo queryById(Long id);

    /**
     * 分页查询审批记录列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 审批记录分页列表
     */
    TableDataInfo<PsApproverRecordVo> queryPageList(PsApproverRecordBo bo, PageQuery pageQuery);

    /**
     * 查询符合条件的审批记录列表
     *
     * @param bo 查询条件
     * @return 审批记录列表
     */
    List<PsApproverRecordVo> queryList(PsApproverRecordBo bo);

    /**
     * 审批
     *
     * @param operate （2 通过 3拒绝）
     * @param id 审批表id
     * @return
     */
    String approver(String operate, Long id,String desc);

    /**
     *  根据条件查询最后一条审批失败的原因
     * @return
     */
    String getLastFail(String businessId,String contractCode,List<String> businessTypes);
//
//    /**
//     * 新增审批记录
//     *
//     * @param bo 审批记录
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsApproverRecordBo bo);
//
//    /**
//     * 修改审批记录
//     *
//     * @param bo 审批记录
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsApproverRecordBo bo);
//
//    /**
//     * 校验并批量删除审批记录信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
