package com.pusong.business.service;

import com.pusong.business.domain.vo.PsContractBusinessVo;
import com.pusong.business.domain.bo.PsContractBusinessBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 合同服务类别Service接口
 *
 * @author wls
 * @date 2024-07-29
 */
public interface IPsContractBusinessService {

    /**
     * 新增合同服务类别
     *
     * @param boList 合同服务类别集合
     * @param contractCode 合同编号
     * @return 是否新增成功
     */
    void saveList(List<PsContractBusinessBo> boList,String contractCode);

    /**
     * 查询符合条件的合同服务类别列表
     *
     * @param bo 查询条件
     * @return 合同服务类别列表
     */
    List<PsContractBusinessVo> queryList(PsContractBusinessBo bo);

    /**
     * 根据合同编码查询服务信息
     * @param contractCode
     * @return
     */
    List<PsContractBusinessVo> selectBusinessList(List<String> contractCode);
    /**
     * 根据合同编码查询服务信息
     * @param contractCode
     * @return
     */
    List<PsContractBusinessVo> selectBusinessList(List<String> contractCode, Long serviceCompanyId);
    /**
     * 查询合同服务类别
     *
     * @param id 主键
     * @return 合同服务类别
     *//*
    PsContractBusinessVo queryById(Long id);

    *//**
     * 分页查询合同服务类别列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 合同服务类别分页列表
     *//*
    TableDataInfo<PsContractBusinessVo> queryPageList(PsContractBusinessBo bo, PageQuery pageQuery);

    *//**
     * 查询符合条件的合同服务类别列表
     *
     * @param bo 查询条件
     * @return 合同服务类别列表
     *//*
    List<PsContractBusinessVo> queryList(PsContractBusinessBo bo);

    *//**
     * 新增合同服务类别
     *
     * @param bo 合同服务类别
     * @return 是否新增成功
     *//*
    Boolean insertByBo(PsContractBusinessBo bo);

    *//**
     * 修改合同服务类别
     *
     * @param bo 合同服务类别
     * @return 是否修改成功
     *//*
    Boolean updateByBo(PsContractBusinessBo bo);

    *//**
     * 校验并批量删除合同服务类别信息
     *
     * @param ids     待删除的主键集合
     * @param isValid 是否进行有效性校验
     * @return 是否删除成功
     *//*
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);*/
}
