package com.pusong.business.service;

import com.pusong.business.domain.bo.PsContractInfoBo;
import com.pusong.business.domain.bo.PsContractInfoQueryBo;
import com.pusong.business.domain.bo.PsContractPayBo;
import com.pusong.business.domain.vo.PsContractInfoVo;
import com.pusong.common.mybatis.core.page.PageQuery;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 合同操作Service接口
 *
 * @author wls
 * @date 2024-07-29
 */
public interface IPsContractOperateService {

    /**
     * 合同签章
     *
     * @param contractCode 合同编码
     * @return 合同基本信息
     */
    void sign(String contractCode);

    /**
     * 回传合同
     * @param file 回传合同文件
     * @param contractCode 合同编码
     */
    String rollbackContract( MultipartFile file, String contractCode);

    /**
     * 确认单
     * @param file 回传合同文件
     * @param contractCode 合同编码
     */
    void confirm( MultipartFile file, String contractCode);
}
