package com.pusong.business.service;

import com.pusong.business.domain.bo.PsSalaryConfigAddVo;
import com.pusong.business.domain.vo.PsSalaryConfigInfoVo;
import com.pusong.business.domain.vo.PsSalaryConfigVo;
import com.pusong.business.domain.bo.PsSalaryConfigBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 提成配置Service接口
 *
 * @author Lion Li
 * @date 2024-08-22
 */
public interface IPsSalaryConfigService {



    /**
     * 分页查询提成配置列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 提成配置分页列表
     */
    TableDataInfo<PsSalaryConfigVo> queryPageList(PsSalaryConfigBo bo, PageQuery pageQuery);

    /**
     * 查询提成配置详情
     *
     * @param templateCode        模板编码
     * @return PsSalaryConfigVo
     */
    PsSalaryConfigInfoVo queryByTemplateCode(String templateCode);

    /**
     * 查询提成配置详情
     *
     * @param addVo        提成模板信息
     * @return PsSalaryConfigVo
     */
    void add(PsSalaryConfigAddVo addVo);
//    /**
//     * 查询提成配置
//     *
//     * @param id 主键
//     * @return 提成配置
//     */
//    PsSalaryConfigVo queryById(Long id);
//    /**
//     * 查询符合条件的提成配置列表
//     *
//     * @param bo 查询条件
//     * @return 提成配置列表
//     */
//    List<PsSalaryConfigVo> queryList(PsSalaryConfigBo bo);
//
//    /**
//     * 新增提成配置
//     *
//     * @param bo 提成配置
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsSalaryConfigBo bo);
//
//    /**
//     * 修改提成配置
//     *
//     * @param bo 提成配置
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsSalaryConfigBo bo);
//
    /**
     * 校验并批量删除提成配置信息
     *
     * @param code     模板编码
     * @return 是否删除成功
     */
    Boolean deleteWithValidByIds(String code);
}
