package com.pusong.business.service;

import com.pusong.business.domain.PsSalaryContract;
import com.pusong.business.domain.vo.PsSalaryContractVo;
import com.pusong.business.domain.vo.PsSalaryVo;
import com.pusong.business.domain.bo.PsSalaryBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 员工提成提成Service接口
 *
 * @author wls
 * @date 2024-08-23
 */
public interface IPsSalaryService {



    /**
     * 分页查询员工提成提成列表
     *
     * @param bo        查询条件
     * @param pageQuery 分页参数
     * @return 员工提成提成分页列表
     */
    TableDataInfo<PsSalaryVo> queryPageList(PsSalaryBo bo, PageQuery pageQuery);

    /**
     * 提成关联合同查询
     * @param id
     * @param status
     * @param pageQuery
     * @return
     */
    TableDataInfo<PsSalaryContractVo> queryContractPageList(Long id, String status, PageQuery pageQuery);

//    /**
//     * 查询员工提成提成
//     *
//     * @param id 主键
//     * @return 员工提成提成
//     */
//    PsSalaryVo queryById(Long id);
//    /**
//     * 查询符合条件的员工提成提成列表
//     *
//     * @param bo 查询条件
//     * @return 员工提成提成列表
//     */
//    List<PsSalaryVo> queryList(PsSalaryBo bo);
//
//    /**
//     * 新增员工提成提成
//     *
//     * @param bo 员工提成提成
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsSalaryBo bo);
//
//    /**
//     * 修改员工提成提成
//     *
//     * @param bo 员工提成提成
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsSalaryBo bo);
//
//    /**
//     * 校验并批量删除员工提成提成信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
