package com.pusong.business.service;

import com.pusong.business.domain.vo.PsTaskMediaVo;
import com.pusong.business.domain.bo.PsTaskMediaBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 任务资料Service接口
 *
 * @author wls
 * @date 2024-08-07
 */
public interface IPsTaskMediaService {

    /**
     * 查询任务资料
     *
     * @param customerId 客户id
     * @param companyId 公司id
     * @return 任务资料
     */
    List<PsTaskMediaVo> queryMediaList(Long customerId,Long companyId);

    /**
     * 保存影响资料信息
     * @param voList
     */
    void saveMediaList(List<PsTaskMediaBo> voList);
//    /**
//     * 分页查询任务资料列表
//     *
//     * @param bo        查询条件
//     * @param pageQuery 分页参数
//     * @return 任务资料分页列表
//     */
//    TableDataInfo<PsTaskMediaVo> queryPageList(PsTaskMediaBo bo, PageQuery pageQuery);
//
//    /**
//     * 查询符合条件的任务资料列表
//     *
//     * @param bo 查询条件
//     * @return 任务资料列表
//     */
//    List<PsTaskMediaVo> queryList(PsTaskMediaBo bo);
//
//    /**
//     * 新增任务资料
//     *
//     * @param bo 任务资料
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsTaskMediaBo bo);
//
//    /**
//     * 修改任务资料
//     *
//     * @param bo 任务资料
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsTaskMediaBo bo);
//
//    /**
//     * 校验并批量删除任务资料信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
