package com.pusong.business.service;

import com.pusong.business.domain.vo.PsTaskWorkRecordVo;
import com.pusong.business.domain.bo.PsTaskWorkRecordBo;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 外勤任务记录Service接口
 *
 * @author wls
 * @date 2024-08-09
 */
public interface IPsTaskWorkRecordService {

    /**
     * 查询符合条件的外勤任务记录列表
     *
     * @param id 查询条件
     * @return 外勤任务记录列表
     */
    List<PsTaskWorkRecordVo> queryListByAppointId( Long id);

    /**
     * 根据主任务id查询工作进度列表
     *
     * @param id 任务委派id
     * @return 外勤任务记录列表
     */
    List<PsTaskWorkRecordVo> queryListByTaskId(Long id);
    /**
     * 新增外勤任务记录
     *
     * @param bo 外勤任务记录
     * @return 是否新增成功
     */
    Boolean insertByBo(PsTaskWorkRecordBo bo);

//    /**
//     * 查询外勤任务记录
//     *
//     * @param id 主键
//     * @return 外勤任务记录
//     */
//    PsTaskWorkRecordVo queryById(Long id);

//    /**
//     * 分页查询外勤任务记录列表
//     *
//     * @param bo        查询条件
//     * @param pageQuery 分页参数
//     * @return 外勤任务记录分页列表
//     */
//    TableDataInfo<PsTaskWorkRecordVo> queryPageList(PsTaskWorkRecordBo bo, PageQuery pageQuery);
//
//    /**
//     * 查询符合条件的外勤任务记录列表
//     *
//     * @param bo 查询条件
//     * @return 外勤任务记录列表
//     */
//    List<PsTaskWorkRecordVo> queryList(PsTaskWorkRecordBo bo);
//
//    /**
//     * 新增外勤任务记录
//     *
//     * @param bo 外勤任务记录
//     * @return 是否新增成功
//     */
//    Boolean insertByBo(PsTaskWorkRecordBo bo);
//
//    /**
//     * 修改外勤任务记录
//     *
//     * @param bo 外勤任务记录
//     * @return 是否修改成功
//     */
//    Boolean updateByBo(PsTaskWorkRecordBo bo);
//
//    /**
//     * 校验并批量删除外勤任务记录信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
