package com.pusong.business.service.approver;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pusong.business.domain.PsApproverRecord;
import com.pusong.business.domain.bo.PsApproverRecordBo;
import com.pusong.business.domain.vo.PsApproverRecordVo;
import com.pusong.business.enums.ApproverTypeEnum;
import com.pusong.common.mybatis.core.page.PageQuery;

public interface ApproverService {
    /**
     * 发起审批
     * @param bussinessId 关联业务id
     * @param contractCode 合同编码
     * @param desc 审批说明
     * @param updateData 修改后的数据
     */
    public void apply( String bussinessId,String contractCode, String desc, String updateData);
    /**
     * 成功
     */
    public void success(PsApproverRecord psApproverRecord);

    /**
     * 失败
     */
    public void fail(PsApproverRecord psApproverRecord);
    /**
     * 查询列表
     */
    public Page<PsApproverRecordVo> queryList(PsApproverRecordBo bo, PageQuery pageQuery);

}
