package com.pusong.business.service.impl;

import com.pusong.common.core.utils.MapstructUtils;
import com.pusong.common.core.utils.StringUtils;
import com.pusong.common.mybatis.core.page.TableDataInfo;
import com.pusong.common.mybatis.core.page.PageQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.pusong.business.domain.bo.PsContractBusinessDetailBo;
import com.pusong.business.domain.vo.PsContractBusinessDetailVo;
import com.pusong.business.domain.PsContractBusinessDetail;
import com.pusong.business.mapper.PsContractBusinessDetailMapper;
import com.pusong.business.service.IPsContractBusinessDetailService;

import java.util.List;
import java.util.Map;
import java.util.Collection;

/**
 * 合同服务明细Service业务层处理
 *
 * @author wls
 * @date 2024-07-29
 */
@RequiredArgsConstructor
@Service
public class PsContractBusinessDetailServiceImpl implements IPsContractBusinessDetailService {

    private final PsContractBusinessDetailMapper baseMapper;

//    /**
//     * 查询合同服务明细
//     *
//     * @param id 主键
//     * @return 合同服务明细
//     */
//    @Override
//    public PsContractBusinessDetailVo queryById(Long id){
//        return baseMapper.selectVoById(id);
//    }
//
//    /**
//     * 分页查询合同服务明细列表
//     *
//     * @param bo        查询条件
//     * @param pageQuery 分页参数
//     * @return 合同服务明细分页列表
//     */
//    @Override
//    public TableDataInfo<PsContractBusinessDetailVo> queryPageList(PsContractBusinessDetailBo bo, PageQuery pageQuery) {
//        LambdaQueryWrapper<PsContractBusinessDetail> lqw = buildQueryWrapper(bo);
//        Page<PsContractBusinessDetailVo> result = baseMapper.selectVoPage(pageQuery.build(), lqw);
//        return TableDataInfo.build(result);
//    }

    /**
     * 查询符合条件的合同服务明细列表
     *
     * @param bo 查询条件
     * @return 合同服务明细列表
     */
    @Override
    public List<PsContractBusinessDetailVo> queryList(PsContractBusinessDetailBo bo) {
        LambdaQueryWrapper<PsContractBusinessDetail> lqw = buildQueryWrapper(bo);
        return baseMapper.selectVoList(lqw);
    }

    private LambdaQueryWrapper<PsContractBusinessDetail> buildQueryWrapper(PsContractBusinessDetailBo bo) {
        LambdaQueryWrapper<PsContractBusinessDetail> lqw = Wrappers.lambdaQuery();
        lqw.eq(StringUtils.isNotBlank(bo.getBusinessProject()), PsContractBusinessDetail::getBusinessProject, bo.getBusinessProject());
        lqw.like(StringUtils.isNotBlank(bo.getExtentInfo()), PsContractBusinessDetail::getExtentInfo, bo.getExtentInfo());
        lqw.eq(StringUtils.isNotBlank(bo.getContractCode()), PsContractBusinessDetail::getContractCode, bo.getContractCode());
        lqw.eq(PsContractBusinessDetail::getDelFlag, "0");
        return lqw;
    }

//    /**
//     * 新增合同服务明细
//     *
//     * @param bo 合同服务明细
//     * @return 是否新增成功
//     */
//    @Override
//    public Boolean insertByBo(PsContractBusinessDetailBo bo) {
//        PsContractBusinessDetail add = MapstructUtils.convert(bo, PsContractBusinessDetail.class);
//        validEntityBeforeSave(add);
//        boolean flag = baseMapper.insert(add) > 0;
//        if (flag) {
//            bo.setId(add.getId());
//        }
//        return flag;
//    }
//
//    /**
//     * 修改合同服务明细
//     *
//     * @param bo 合同服务明细
//     * @return 是否修改成功
//     */
//    @Override
//    public Boolean updateByBo(PsContractBusinessDetailBo bo) {
//        PsContractBusinessDetail update = MapstructUtils.convert(bo, PsContractBusinessDetail.class);
//        validEntityBeforeSave(update);
//        return baseMapper.updateById(update) > 0;
//    }
//
//    /**
//     * 保存前的数据校验
//     */
//    private void validEntityBeforeSave(PsContractBusinessDetail entity){
//        //TODO 做一些数据校验,如唯一约束
//    }
//
//    /**
//     * 校验并批量删除合同服务明细信息
//     *
//     * @param ids     待删除的主键集合
//     * @param isValid 是否进行有效性校验
//     * @return 是否删除成功
//     */
//    @Override
//    public Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid) {
//        if(isValid){
//            //TODO 做一些业务上的校验,判断是否需要校验
//        }
//        return baseMapper.deleteBatchIds(ids) > 0;
//    }
}
